'*********************************************************************
'        Articles Database Include file for TURBO-BASIC ISAM
'		
' Dataset reference No:  articles.File
' Data file name:        articles.DBD
' Data File length:       268
' Key File name:         articles.DBI
' Key length:             4

'*********************************************************************

defint a-z

if articles.File > 0 then goto EndarticlesInc 'skip if already open
  incr LastFileNum
  articles.File = LastFileNum
  articles.RLen =  268
  articles.KLen =  4

  call dbCreate(articles.File, FileNo, _
    "articles.DBI", articles.KLen, "articles.DBD", articles.RLen)

  if dbStatus = %FileAlreadyCreated then _
    call dbOpen(articles.File, FileNo,      _
      "articles.DBI", articles.KLen, articles.RLen)

  if articles.RLen <>  268 then
    print "articles.DBD length is inconsistent with this program."
    end
  elseif articles.KLen <>  4 then
    print "articles.DBI key length is inconsistent with this program."
    end
  end if

  field FileNo,_
    4 as articles.Skip$,_
    4 as articles.NUMBER$,_
    18 as articles.TOPIC$,_
    62 as articles.TITLE$,_
    20 as articles.KEYWORD1$,_
    20 as articles.KEYWORD2$,_
    60 as articles.AUTHORS$,_
    40 as articles.JOURNAL$,_
    4 as articles.YEAR$,_
    20 as articles.CITATION$


  field FileNo,  268 as articles.Buffer$

  gosub articlesClear
goto EndarticlesInc:

articlesClear:
  lset articles.Buffer$ = string$(  268, " ")
return 'articlesClear

EndarticlesInc: 'End of this include file
